Skip to main content
GET
/
email_submissions
List email submissions
curl --request GET \
  --url https://api.terminal49.com/v2/email_submissions \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "email_submission",
      "attributes": {
        "subject": "<string>",
        "body": "<string>",
        "from": [
          "<string>"
        ],
        "to": [
          "<string>"
        ],
        "cc": [
          "<string>"
        ],
        "sent_at": "2023-11-07T05:31:56Z",
        "message_id": "<string>",
        "in_reply_to": "<string>",
        "references": [
          "<string>"
        ],
        "content_type": "<string>",
        "documents_count": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "account": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "account"
          }
        },
        "user": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "user"
          }
        },
        "documents": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "document"
            }
          ]
        }
      },
      "links": {
        "self": "<string>"
      }
    }
  ],
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "account",
      "attributes": {
        "company_name": "<string>"
      }
    }
  ],
  "links": {
    "last": "<string>",
    "next": "<string>",
    "prev": "<string>",
    "first": "<string>",
    "self": "<string>"
  },
  "meta": {
    "size": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Token YOUR_API_TOKEN

The APIs require authentication to be done using header-based API Key and Secret Authentication.

API key and secret are sent va the Authorization request header.

You send your API key and secret in the following way:

Authorization: Token YOUR_API_KEY

Query Parameters

include
string

Allowed: account, user, documents, documents.last_document_representation. Defaults to documents + documents.last_document_representation.

page[number]
integer
Required range: x >= 1
page[size]
integer
Required range: x >= 1

Response

OK

data
Email Submission · object[]
included
(Account model · object | any | Email Submission Document · object | Document Representation · object)[]
meta
meta · object